[tecnoballz/f12/master] - fix building with make 3.82 (BZ #631335) - fix dependencies - fix desktop file

musuruan musuruan at fedoraproject.org
Sat Sep 25 14:00:05 UTC 2010


commit 472891851fe64938a53f9bfc23ee0db9ea4d8654
Author: Andrea Musuruane <musuruan at gmail.com>
Date:   Sat Sep 25 15:59:57 2010 +0200

    - fix building with make 3.82 (BZ #631335)
    - fix dependencies
    - fix desktop file

 tecnoballz-0.92-deps.patch     |  230 ++++++++++++++++++++++++++++++++++++++++
 tecnoballz-0.92-no-smpeg.patch |  100 -----------------
 tecnoballz.desktop             |    2 +-
 tecnoballz.spec                |   16 ++-
 4 files changed, 243 insertions(+), 105 deletions(-)
---
diff --git a/tecnoballz-0.92-deps.patch b/tecnoballz-0.92-deps.patch
new file mode 100644
index 0000000..0f11358
--- /dev/null
+++ b/tecnoballz-0.92-deps.patch
@@ -0,0 +1,230 @@
+--- tecnoballz-0.92.orig/configure	2007-11-19 14:45:33.000000000 +0100
++++ tecnoballz-0.92/configure	2010-09-12 10:47:37.013437541 +0200
+@@ -4873,227 +4873,6 @@
+ 
+ LDFLAGS_="${LDFLAGS_save}"
+ 
+-{ echo "$as_me:$LINENO: checking for ov_raw_seek in -lvorbisfile" >&5
+-echo $ECHO_N "checking for ov_raw_seek in -lvorbisfile... $ECHO_C" >&6; }
+-if test "${ac_cv_lib_vorbisfile_ov_raw_seek+set}" = set; then
+-  echo $ECHO_N "(cached) $ECHO_C" >&6
+-else
+-  ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lvorbisfile  $LIBS"
+-cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-
+-/* Override any GCC internal prototype to avoid an error.
+-   Use char because int might match the return type of a GCC
+-   builtin and then its argument prototype would still apply.  */
+-#ifdef __cplusplus
+-extern "C"
+-#endif
+-char ov_raw_seek ();
+-int
+-main ()
+-{
+-return ov_raw_seek ();
+-  ;
+-  return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_link") 2>conftest.er1
+-  ac_status=$?
+-  grep -v '^ *+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && {
+-	 test -z "$ac_c_werror_flag" ||
+-	 test ! -s conftest.err
+-       } && test -s conftest$ac_exeext &&
+-       $as_test_x conftest$ac_exeext; then
+-  ac_cv_lib_vorbisfile_ov_raw_seek=yes
+-else
+-  echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-	ac_cv_lib_vorbisfile_ov_raw_seek=no
+-fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+-      conftest$ac_exeext conftest.$ac_ext
+-LIBS=$ac_check_lib_save_LIBS
+-fi
+-{ echo "$as_me:$LINENO: result: $ac_cv_lib_vorbisfile_ov_raw_seek" >&5
+-echo "${ECHO_T}$ac_cv_lib_vorbisfile_ov_raw_seek" >&6; }
+-if test $ac_cv_lib_vorbisfile_ov_raw_seek = yes; then
+-
+-	MM_LIBS="${MM_LIBS} -lvorbisfile"
+-
+-else
+-
+-	{ { echo "$as_me:$LINENO: error: Could not find the vorbisfile lib : -lvorbisfile" >&5
+-echo "$as_me: error: Could not find the vorbisfile lib : -lvorbisfile" >&2;}
+-   { (exit 1); exit 1; }; }
+-
+-fi
+-
+-{ echo "$as_me:$LINENO: checking for ogg_stream_packetin in -logg" >&5
+-echo $ECHO_N "checking for ogg_stream_packetin in -logg... $ECHO_C" >&6; }
+-if test "${ac_cv_lib_ogg_ogg_stream_packetin+set}" = set; then
+-  echo $ECHO_N "(cached) $ECHO_C" >&6
+-else
+-  ac_check_lib_save_LIBS=$LIBS
+-LIBS="-logg  $LIBS"
+-cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-
+-/* Override any GCC internal prototype to avoid an error.
+-   Use char because int might match the return type of a GCC
+-   builtin and then its argument prototype would still apply.  */
+-#ifdef __cplusplus
+-extern "C"
+-#endif
+-char ogg_stream_packetin ();
+-int
+-main ()
+-{
+-return ogg_stream_packetin ();
+-  ;
+-  return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_link") 2>conftest.er1
+-  ac_status=$?
+-  grep -v '^ *+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && {
+-	 test -z "$ac_c_werror_flag" ||
+-	 test ! -s conftest.err
+-       } && test -s conftest$ac_exeext &&
+-       $as_test_x conftest$ac_exeext; then
+-  ac_cv_lib_ogg_ogg_stream_packetin=yes
+-else
+-  echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-	ac_cv_lib_ogg_ogg_stream_packetin=no
+-fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+-      conftest$ac_exeext conftest.$ac_ext
+-LIBS=$ac_check_lib_save_LIBS
+-fi
+-{ echo "$as_me:$LINENO: result: $ac_cv_lib_ogg_ogg_stream_packetin" >&5
+-echo "${ECHO_T}$ac_cv_lib_ogg_ogg_stream_packetin" >&6; }
+-if test $ac_cv_lib_ogg_ogg_stream_packetin = yes; then
+-
+-	MM_LIBS="${MM_LIBS} -logg"
+-
+-else
+-
+-	{ { echo "$as_me:$LINENO: error: Could not find the ogg lib : -logg" >&5
+-echo "$as_me: error: Could not find the ogg lib : -logg" >&2;}
+-   { (exit 1); exit 1; }; }
+-
+-fi
+-
+-{ echo "$as_me:$LINENO: checking for SMPEG_play in -lsmpeg" >&5
+-echo $ECHO_N "checking for SMPEG_play in -lsmpeg... $ECHO_C" >&6; }
+-if test "${ac_cv_lib_smpeg_SMPEG_play+set}" = set; then
+-  echo $ECHO_N "(cached) $ECHO_C" >&6
+-else
+-  ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lsmpeg  $LIBS"
+-cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-
+-/* Override any GCC internal prototype to avoid an error.
+-   Use char because int might match the return type of a GCC
+-   builtin and then its argument prototype would still apply.  */
+-#ifdef __cplusplus
+-extern "C"
+-#endif
+-char SMPEG_play ();
+-int
+-main ()
+-{
+-return SMPEG_play ();
+-  ;
+-  return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_link") 2>conftest.er1
+-  ac_status=$?
+-  grep -v '^ *+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && {
+-	 test -z "$ac_c_werror_flag" ||
+-	 test ! -s conftest.err
+-       } && test -s conftest$ac_exeext &&
+-       $as_test_x conftest$ac_exeext; then
+-  ac_cv_lib_smpeg_SMPEG_play=yes
+-else
+-  echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-	ac_cv_lib_smpeg_SMPEG_play=no
+-fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+-      conftest$ac_exeext conftest.$ac_ext
+-LIBS=$ac_check_lib_save_LIBS
+-fi
+-{ echo "$as_me:$LINENO: result: $ac_cv_lib_smpeg_SMPEG_play" >&5
+-echo "${ECHO_T}$ac_cv_lib_smpeg_SMPEG_play" >&6; }
+-if test $ac_cv_lib_smpeg_SMPEG_play = yes; then
+-
+-	MM_LIBS="${MM_LIBS} -lsmpeg"
+-
+-else
+-
+-	{ { echo "$as_me:$LINENO: error: Could not find the smpeg lib : -lsmpeg" >&5
+-echo "$as_me: error: Could not find the smpeg lib : -lsmpeg" >&2;}
+-   { (exit 1); exit 1; }; }
+-
+-fi
+-
+-
+-
+ { echo "$as_me:$LINENO: checking for Player_Stop in -lmikmod" >&5
+ echo $ECHO_N "checking for Player_Stop in -lmikmod... $ECHO_C" >&6; }
+ if test "${ac_cv_lib_mikmod_Player_Stop+set}" = set; then
diff --git a/tecnoballz.desktop b/tecnoballz.desktop
index 5d373fa..23e47b5 100644
--- a/tecnoballz.desktop
+++ b/tecnoballz.desktop
@@ -4,6 +4,6 @@ Comment=A Brick Busting game
 Exec=tecnoballz
 Terminal=false
 Type=Application
-Icon=tecnoballz.png
+Icon=tecnoballz
 Encoding=UTF-8
 Categories=Game;ArcadeGame;BlocksGame;
diff --git a/tecnoballz.spec b/tecnoballz.spec
index 9f77610..187806f 100644
--- a/tecnoballz.spec
+++ b/tecnoballz.spec
@@ -1,6 +1,6 @@
 Name: tecnoballz
 Version: 0.92
-Release: 7%{?dist}
+Release: 8%{?dist}
 Summary: A Brick Busting game
 
 Group: Amusements/Games
@@ -9,8 +9,9 @@ URL: http://linux.tlk.fr/games/TecnoballZ/
 Source0: http://linux.tlk.fr/games/TecnoballZ/download/%{name}-%{version}.tgz
 Source1: %{name}.xpm
 Source2: %{name}.desktop
+# SuSE/Gentoo
+Patch0: tecnoballz-0.92-deps.patch
 # Hans de Goede
-Patch0: tecnoballz-0.92-no-smpeg.patch
 Patch1: tecnoballz-0.92-dropsgid.patch
 # Upstream CVS
 Patch2: tecnoballz-0.92-gcc43.patch
@@ -19,7 +20,6 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires: SDL_image-devel
 BuildRequires: SDL_mixer-devel
-BuildRequires: libvorbis-devel
 BuildRequires: mikmod-devel
 BuildRequires: desktop-file-utils
 Requires: hicolor-icon-theme
@@ -39,6 +39,9 @@ complete this great game. This game was ported from the Commodore Amiga.
 %patch1 -p1
 %patch2 -p2
 
+# FIX: don't combine explicit and implicit rules for make 3.82
+sed -i 's/supervisor.c/supervisor.cc/' src/Makefile.in
+
 # FIX: set gamedir and scoredir
 sed -i 's:gamesdir = $(prefix)/games:gamesdir = ${bindir}:' src/Makefile.in
 sed -i 's:scoredir = /var/games/tecnoballz:scoredir = ${localstatedir}/games/%{name}:' Makefile.in
@@ -92,13 +95,18 @@ fi
 %{_datadir}/tecnoballz
 %{_localstatedir}/games/tecnoballz
 %attr(-,root,games) %config(noreplace) %{_localstatedir}/games/tecnoballz/tecnoballz.hi
-%{_mandir}/man6/tecnoballz.6*
+%{_mandir}/man6/%{name}.6*
 %{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
 %{_datadir}/applications/fedora-%{name}.desktop
 %doc AUTHORS CHANGES COPYING README
 
 
 %changelog
+* Sun Sep 12 2010 Andrea Musuruane <musuruan at gmail.com> 0.92-8
+- fix building with make 3.82 (BZ #631335)
+- fix dependencies
+- fix desktop file
+
 * Sun Jul 26 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 0.92-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
 


More information about the scm-commits mailing list